Skip to main content
PATCH
Update an exclusive sponsored brand campaign.

Autorisierungen

Authorization
string
header
erforderlich

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Pfadparameter

campaign_id
string<uuid>
erforderlich

The ID of the campaign.

Abfrageparameter

vendor_id
string
erforderlich

The ID of the vendor.

Minimum string length: 1

Body

application/json

Request body for updating a public exclusive sponsored brand campaign.

name
string | null

The name of the campaign.

Minimum string length: 1
Beispiel:

"Bola-Bola Ad campaign"

isActive
boolean | null

Whether the campaign should be activated.

schedule
Schedule · object[] | null

The schedule for the campaign.

Maximum array length: 1
status
enum<string> | null

The approval status of the sponsored brand campaign.

Verfügbare Optionen:
approved,
pending,
rejected
sponsoredBrandRejectionReason
PublicSponsoredBrandRejectionReason · object | null

The reason for rejecting the sponsored brand campaign.

exclusivityPrice
integer | null

The price to pay daily for the campaign to run, in minor units of currency.

Erforderlicher Bereich: x > 0
impressionsThreshold
integer | null

Impressions allowed for the campaign before it is stopped.

exclusivityPercentage
number | null

Percentage of auctions the campaign will be exclusive in.

multiplierConfig
PublicCampaignMultiplierConfig · object | null

The multipliers of the campaign.

targetingFilters
PublicCampaignTargetingFilters · object | null

The segments that the campaign will participate for.

exclusionFilters
PublicCampaignExclusionFilters · object | null

The segments that the campaign will not target.

content
Content · object | null

Dynamic content for the placement template. Omit the key to leave bid content unchanged. Send the object to store it on every bid.

Antwort

Successful Response

An exclusive sponsored brand campaign returned by the public API.

campaignId
string<uuid>
erforderlich

The ID of the campaign.

marketplaceId
string<uuid>
erforderlich

The ID of the marketplace.

vendorId
string
erforderlich

The external vendor ID.

name
string
erforderlich

The name of the campaign.

Minimum string length: 1
Beispiel:

"Bola-Bola Ad campaign"

isActive
boolean
erforderlich

Whether the campaign is active.

status
enum<string>
erforderlich

The approval status of the sponsored brand campaign.

Verfügbare Optionen:
approved,
pending,
rejected
slotId
string
erforderlich

The external slot ID where the exclusive sponsored brand campaign is shown.

schedule
Schedule · object[]
erforderlich

The schedule for the campaign.

Required array length: 1 element
content
Content · object
erforderlich

Dynamic content validated against the slot's JSON template.

createdAt
string<date-time>
erforderlich

When this campaign was created.

updatedAt
string<date-time>
erforderlich

When this campaign was last updated.

exclusivityPrice
integer
erforderlich

The price to pay daily for the campaign to run, in minor units of currency.

externalCampaignId
string | null

The external ID of the campaign in the marketplace.

walletId
string<uuid> | null

The uuid of the wallet used with this campaign.

bidType
string
Standard:exclusive

The bidding type of the campaign.

Allowed value: "exclusive"
chargeType
enum<string>
Standard:DAILY

How exclusive campaigns are charged. Only daily is allowed.

Verfügbare Optionen:
DAILY
impressionsThreshold
integer | null

Impressions allowed for the campaign before it is stopped.

exclusivityPercentage
number | null

Percentage of auctions the campaign will be exclusive in.

position
integer
Standard:1

The rank the ad will have in the auction.

Erforderlicher Bereich: 1 <= x <= 20
multiplierConfig
PublicCampaignMultiplierConfig · object | null

The multipliers of the campaign.

targetingFilters
PublicCampaignTargetingFilters · object | null

The segments that the campaign will participate for.

exclusionFilters
PublicCampaignExclusionFilters · object | null

The segments that the campaign will not target.